export declare namespace symbols {
    const proxy: unique symbol;
    const events: unique symbol;
}
interface Target {
    readonly element: Element & {
        readonly [symbols.proxy]?: Target & {
            readonly [symbols.events]: Events<Target>;
        };
    };
    readonly [symbols.events]?: Events<Target>;
}
export declare class Events<T extends Target> {
    private readonly element;
    static get(target: Target): Events<Target>;
    static hasConnectionListener(target: Target): boolean;
    constructor(element: Element);
    get mutate(): boolean;
    get connect(): boolean;
    get disconnect(): boolean;
    private readonly targets;
    add(target: T): void;
    del(target: T): void;
    private get isConnected();
    dispatchMutateEvent(): void;
    dispatchConnectEvent(targets?: Target[]): void;
    dispatchDisconnectEvent(targets?: Target[]): void;
}
export {};
